5

We're experiencing an issue where Internet Explorer 8 is reporting an Expected ';' in the minified inplview.js file. It doesn't affect any functionality it seems, but we have no idea what's causing it. Perhaps other scripts we are using such as repond, modernizr, angular, scripts which extend the array.prototype are the culprits.

  • Hey @azium, Quick question, I'm having exactly the same issue right now, did you managed to resolve this Problem back then? – Luca Sep 24 '15 at 11:56
  • Just a heads up : I suggest you to upgrade Internet Explorer, Microsoft will end support of most versions by the beginning of 2016. support.microsoft.com/en-us/gp/microsoft-internet-explorer – JayHell Sep 24 '15 at 12:25
  • @Unlockedluca are you able to provide the JS code in context? – Burgi Sep 24 '15 at 13:09
  • I have edited the question, but it got rejected, please see my answer – Luca Sep 24 '15 at 13:18
  • @Unlockedluca We did. We were using the Foundation framework and removing that fixed the problem. I do believe it's related to @PlanetWilson's answer about adding more prototype functions to Array. I'm going mark his as answer as boxing these extensions will likely solve the problem for you. – azium Sep 24 '15 at 13:31
5
+50

This was exactly our issue. We had extended the Array.prototype and for whatever reason it caused the SP scripts to start failing. We already had another prototype extension that caused no issues. We ended up just moving it into a utility function instead.

  • You're right, I found some Array.prototype functions in Metro UI CSS, when I removed them it worked. Thanks alot. Bounty will be awarded in 20 hours .) – Luca Sep 24 '15 at 14:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.